# Uses of Interface
com.google.protobuf.EnumValueOrBuilder

Packages that use EnumValueOrBuilder
Package
Description
com.google.protobuf

## Uses of EnumValueOrBuilder in com.google.protobuf

Classes in com.google.protobuf that implement EnumValueOrBuilder
Modifier and Type
Class
Description
`final class`
`EnumValue`
Protobuf type `google.protobuf.EnumValue`
`static final class`
`EnumValue.Builder`
Protobuf type `google.protobuf.EnumValue`
Methods in com.google.protobuf that return EnumValueOrBuilder
Modifier and Type
Method
Description
`EnumValueOrBuilder`
Enum.Builder.`getEnumvalueOrBuilder(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`EnumValueOrBuilder`
Enum.`getEnumvalueOrBuilder(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`EnumValueOrBuilder`
EnumOrBuilder.`getEnumvalueOrBuilder(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
Methods in com.google.protobuf that return types with arguments of type EnumValueOrBuilder
Modifier and Type
Method
Description
`List<? extends EnumValueOrBuilder>`
Enum.Builder.`getEnumvalueOrBuilderList()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`List<? extends EnumValueOrBuilder>`
Enum.`getEnumvalueOrBuilderList()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`List<? extends EnumValueOrBuilder>`
EnumOrBuilder.`getEnumvalueOrBuilderList()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`